## org.biojava.bio.seq.ragbag
Class RagbagFilteredCachedSeqFactory

    java.lang.Object
      org.biojava.bio.seq.ragbag.RagbagFilteredCachedSeqFactory

All Implemented Interfaces:
  RagbagSequenceFactory

public class RagbagFilteredCachedSeqFactory
extends java.lang.Object
implements RagbagSequenceFactory

class that is passed to a RagbagAssembly to use a SoftReferenceCache-backed RagbagCachedSequences.

Constructor Summary
`RagbagFilteredCachedSeqFactory()`

Method Summary
`org.biojava.bio.seq.ragbag.RagbagSequenceItf` `getSequenceObject(java.lang.String name, java.lang.String urn)` return a RagbagSequence object of desired type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RagbagFilteredCachedSeqFactory

    public RagbagFilteredCachedSeqFactory()

Method Detail

### getSequenceObject

    public org.biojava.bio.seq.ragbag.RagbagSequenceItf getSequenceObject(java.lang.String name,
                                                                          java.lang.String urn)

  Description copied from interface: `RagbagSequenceFactory`
  return a RagbagSequence object of desired type

  Specified by:
    `getSequenceObject` in interface `RagbagSequenceFactory`